Bug 486979 - nm-connection-editor: _update_action (action=0x90c000) at polkit-gnome-action.c:869
nm-connection-editor: _update_action (action=0x90c000) at polkit-gnome-action...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PolicyKit-gnome (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 10:06 EST by Robert Binkhorst
Modified: 2013-03-05 22:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:01:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Binkhorst 2009-02-23 10:06:52 EST
Description of problem:

When trying to add a new connection in gnome-network-manager, right click on
the panel app -> edit connections -> Mobile broadband -> Add -> Choose "Option
Globetrotter HSDPA Modem" and the app crashes.

~/.xsession-errors shows:
[WARN 15933] polkit-error.c:143:polkit_error_get_error_message(): error != NULL
 Not built with -rdynamic so unable to print a backtrace

** (nm-connection-editor:15933): WARNING **: Failed to initialize PolicyKit context: (null)
[WARN 15933] polkit-error.c:156:polkit_error_free(): error != NULL
 Not built with -rdynamic so unable to print a backtrace
ptrace: Operation not permitted.
//15933: No such file or directory.
No stack.

And gdb shows:
Program received signal SIGSEGV, Segmentation fault.
_update_action (action=0x90c000) at polkit-gnome-action.c:869
869	        authdb = polkit_context_get_authorization_db (pkgc->pk_context);
(gdb) bt
#0  _update_action (action=0x90c000) at polkit-gnome-action.c:869
#1  0x00000038e6c06080 in polkit_gnome_action_set_polkit_action () at polkit-gnome-action.c:1130
#2  set_property (object=<value optimized out>, prop_id=<value optimized out>, value=<value optimized out>, pspec=0x7f9e8ae35850)
    at polkit-gnome-action.c:1774
#3  0x0000003530210be8 in object_set_property () at gobject.c:938
#4  g_object_constructor (type=<value optimized out>, n_construct_properties=2, construct_params=0x7f9e8ae33cb0) at gobject.c:1348
#5  0x00000038e6c060e9 in polkit_gnome_action_constructor (type=140318911713856, n_construct_properties=4, construct_properties=0x7f9e8ae33c90)
    at polkit-gnome-action.c:381
#6  0x000000353021118d in IA__g_object_newv (object_type=140318911713856, n_parameters=1, parameters=0x7f9e8ae37800) at gobject.c:1211
#7  0x0000003530211bbb in IA__g_object_new_valist (object_type=140318911713856, first_property_name=0x0, var_args=0x7fff9a5b4410) at gobject.c:1315
#8  0x0000003530211e0c in IA__g_object_new (object_type=140318911713856, first_property_name=0x38e6c08019 "name") at gobject.c:1056
#9  0x0000000000411df4 in nm_connection_editor_init (editor=0x7f9e8b793cb0) at nm-connection-editor.c:315
#10 0x000000353022c5ba in IA__g_type_create_instance (type=<value optimized out>) at gtype.c:1674
#11 0x0000003530210b3b in g_object_constructor (type=1, n_construct_properties=0, construct_params=0x3adbe113f8) at gobject.c:1334
#12 0x000000353021118d in IA__g_object_newv (object_type=140318921336112, n_parameters=0, parameters=0x0) at gobject.c:1211
#13 0x0000003530211cc7 in IA__g_object_new_valist (object_type=140318921336112, first_property_name=0x0, var_args=0x7fff9a5b4a90) at gobject.c:1274
#14 0x0000003530211e0c in IA__g_object_new (object_type=140318921336112, first_property_name=0x0) at gobject.c:1056
#15 0x0000000000411701 in nm_connection_editor_new (connection=0x8c3c40, system_settings_can_modify=0) at nm-connection-editor.c:414
#16 0x00000000004148bb in add_connection_clicked (button=<value optimized out>, user_data=<value optimized out>) at nm-connection-list.c:973
#17 0x000000353020b7dd in IA__g_closure_invoke (closure=0x8bc530, return_value=0x0, n_param_values=1, param_values=0x7f9e8b735b40, 
    invocation_hint=0x7fff9a5b4d60) at gclosure.c:767
#18 0x00000035302214bd in signal_emit_unlocked_R (node=0x7de710, detail=0, instance=0x8610b0, emission_return=0x0, 
    instance_and_params=0x7f9e8b735b40) at gsignal.c:3244
#19 0x0000003530222b68 in IA__g_signal_emit_valist (instance=0x8610b0, signal_id=<value optimized out>, detail=0, var_args=0x7fff9a5b4f40)
    at gsignal.c:2977
#20 0x0000003530223093 in IA__g_signal_emit (instance=0x1, signal_id=0, detail=3688961016) at gsignal.c:3034
#21 0x00000038e26850fd in gtk_real_button_released (button=0x1) at gtkbutton.c:1491
#22 0x000000353020b7dd in IA__g_closure_invoke (closure=0x80fdc0, return_value=0x0, n_param_values=1, param_values=0x7f9e8b726740, 
    invocation_hint=0x7fff9a5b5170) at gclosure.c:767
#23 0x0000003530220dd8 in signal_emit_unlocked_R (node=0x7de640, detail=0, instance=0x8610b0, emission_return=0x0, 
    instance_and_params=0x7f9e8b726740) at gsignal.c:3174
#24 0x0000003530222b68 in IA__g_signal_emit_valist (instance=0x8610b0, signal_id=<value optimized out>, detail=0, var_args=0x7fff9a5b5350)
    at gsignal.c:2977
#25 0x0000003530223093 in IA__g_signal_emit (instance=0x1, signal_id=0, detail=3688961016) at gsignal.c:3034
#26 0x00000038e268434d in gtk_button_button_release (widget=0x1, event=0x0) at gtkbutton.c:1383
#27 0x00000038e2729a08 in _gtk_marshal_BOOLEAN__BOXED (closure=0x7feca0, return_value=0x7fff9a5b55f0, n_param_values=<value optimized out>, 
    param_values=0x7f9e8b736720, invocation_hint=<value optimized out>, marshal_data=0x38e2684330) at gtkmarshalers.c:84
#28 0x000000353020b7dd in IA__g_closure_invoke (closure=0x7feca0, return_value=0x7fff9a5b55f0, n_param_values=2, param_values=0x7f9e8b736720, 
    invocation_hint=0x7fff9a5b55b0) at gclosure.c:767
---Type <return> to continue, or q <return> to quit---
#29 0x000000353022119b in signal_emit_unlocked_R (node=0x7fed10, detail=0, instance=0x8610b0, emission_return=0x7fff9a5b5730, 
    instance_and_params=0x7f9e8b736720) at gsignal.c:3282
#30 0x00000035302229ea in IA__g_signal_emit_valist (instance=0x8610b0, signal_id=<value optimized out>, detail=0, var_args=0x7fff9a5b5790)
    at gsignal.c:2987
#31 0x0000003530223093 in IA__g_signal_emit (instance=0x1, signal_id=0, detail=3688961016) at gsignal.c:3034
#32 0x00000038e282c7de in gtk_widget_event_internal (widget=0x8610b0, event=0x7f9e8b723190) at gtkwidget.c:4745
#33 0x00000038e2722373 in IA__gtk_propagate_event (widget=0x8610b0, event=0x7f9e8b723190) at gtkmain.c:2391
#34 0x00000038e2723493 in IA__gtk_main_do_event (event=0x7f9e8b723190) at gtkmain.c:1596
#35 0x00000038e344deac in gdk_event_dispatch (source=<value optimized out>, callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2365
#36 0x000000352fe3779b in g_main_dispatch () at gmain.c:2144
#37 IA__g_main_context_dispatch (context=0x7dbb00) at gmain.c:2697
#38 0x000000352fe3af6d in g_main_context_iterate (context=0x7dbb00, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2778
#39 0x000000352fe3b49d in IA__g_main_loop_run (loop=0x8236e0) at gmain.c:2986
#40 0x0000000000415db3 in main (argc=1, argv=0x7fff9a5b5d98) at main.c:273



Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.7.0-1.git20090102.fc10.x86_64

How reproducible:
When trying to add a new connection in gnome-network-manager, right click on
the panel app -> edit connections -> Mobile broadband -> Add -> Choose "Option
Globetrotter HSDPA Modem" and the app crashes.


Steps to Reproduce:
1. Right click on network-manager and edit connections
2. Select Mobile broadband
3. Select Add
4. Choose "Option Globetrotter HSDPA Modem"
  
Actual results:
nm-connection-editor crashes

Expected results:
I am able to add my connection through nm-connection-editor

Additional info:
Comment 1 Adam Williamson 2009-02-23 15:11:36 EST
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2009-11-18 03:02:08 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 03:01:17 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.